Skip to main content
GET
List of Roles

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[id]
string

Filter by Role ID

filter[name]
string

Filter by role name

Partial search by role name

filter[default_granted]
string

Filter by default granted status

filter[created_before]
string

Filter by created before date

filter[created_after]
string

Filter by created after date

filter[updated_before]
string

Filter by updated before date

filter[updated_after]
string

Filter by updated after date

include
enum<string>[]

Include related resources (permissions, users)

Available options:
permissions,
permissions-count,
permissions-exists,
users,
users-count,
users-exists

Response

The collection of WorkspaceRoleDetailedResponseData

id
string
required
Example:

"wsrol_01hq8xyzabc123def456ghi789"

name
string
required

The name of the role. All names are lowercase with only letters and periods. Periods are used for word or namespace separation. All custom roles are automatically prefixed with tenant.

Example:

"workspace.user.viewer"

default_grant
boolean
required

Whether this role is granted to all users by default when they authenticate

Example:

false

timestamp
TimestampBasicData · object
required

The timestamps for the workspace role record

count
object
required

Counts of related resources

included
object
required

Included related resources

API hyperlinks related to the workspace role record